const path = require('path');
const webpack = require('webpack');
const resolve = dir => path.join(__dirname, dir);

module.exports = {
  entry: resolve('../src/index.js'),
  module: {
    rules: [{
      test: /\.js$/,
      loader: 'babel-loader',
      exclude: /node_modules/,
    }, {
      test: /\.vue$/,
      loader: 'vue-loader',
      exclude: /node_modules/,
    }]
  },
  resolve: {
    extensions: ['.vue', '.js', '.json', '.css', '.less'],
    alias: {
      vue: 'vue/dist/vue.js',
      "@": resolve('../src')
    }
  }
}
