const path = require('path');
const webpack = require('webpack');
const CleanWebpackPlugin = require('clean-webpack-plugin');
const webpackBase = require('./webpack.config.base');
const merge = require('webpack-merge');
const resolve = dir => path.join(__dirname, '..', dir);

module.exports = merge(webpackBase, {
  output: {
    path: resolve('dist'),
    filename: 'cpt-toolkit.js',
    library: 'cptToolkit',
    libraryTarget: 'umd',
    umdNamedDefine: true
  },
  externals: {
    vue: 'vue',
    iview: 'iview',
    moment: 'moment',
    axios: 'axios',
    lodash: {
      commonjs: 'lodash',
      commonjs2: 'lodash',
      amd: 'lodash',
      root: '_'
    },
    is_js: 'is_js'
  },
  plugins: [
    new CleanWebpackPlugin(['dist'],
      {
        root: resolve('.'),
        verbose: true,
        dry: false
      })
  ]
})
