import _ from 'lodash';
import complexTable from './complex-table';
import imageView from './image-view';
import layouts from './layouts';
import cptStep from './step/main';
import render from './render';
import formTab from './form-tab/main';
import formTabPane from './form-tab/form-tab-pane';
import cptPanel from './cpt-panel';
import cptSignature from './cpt-signature/main';
import cptModal from './cpt-modal';

const comps = {
  complexTable,
  imageView,
  ...layouts,
  cptStep,
  render,
  'form-tab': formTab,
  'form-tab-pane': formTabPane,
  'cpt-panel': cptPanel,
  'cpt-signature': cptSignature,
  'cpt-modal': cptModal
}
export default {
  install(Vue, options) {
    _.each(comps, (comp, name) => {
      Vue.component(name, comp);
    });
  }
}
