import _ from 'lodash';
const gridAutosize = (el, adHeight) => {
  el.style.height = '0px';//为了解决ie浏览器问题
  let tableCt = el.parentNode;
  let tableHead = el.querySelector('.ivu-table-header');
  let tableBody = el.querySelector('.ivu-table-body');
  let emptyTip = el.querySelector('.ivu-table-tip');
  let fixedBodys = el.querySelectorAll('.ivu-table-fixed-body');
  let elHeight = tableCt.clientHeight - adHeight;
  let bodyHeight = elHeight - (tableHead ? tableHead.clientHeight : 0);

  el.style.height = elHeight + 'px';
  _.each(fixedBodys, fixedBody => {
    fixedBody.style.height = bodyHeight - 18 + 'px';
  })
  emptyTip.style.height = tableBody.style.height = bodyHeight + 'px';
}
const bindEvents = (el, { value = 50 }) => {
  el.resizeHandler && window.removeEventListener('resize', el.resizeHandler);
  el.resizeHandler = _.throttle(gridAutosize.bind(null, el, value), 100);
  window.addEventListener('resize', el.resizeHandler);
  el.resizeHandler();
}
export default {
  name: 'grid-autosize',
  directive: {
    inserted: bindEvents,
    componentUpdated: bindEvents,
    unbind(el) {
      window.removeEventListener('resize', el.resizeHandler);
    }
  }
}
