import filters from './filters';
import components from './components';
import eventHub from './plugins/event-hub';
import directives from './directives';
// utils
import ajax from './utils/ajax';
import * as commonUtils from './utils/common-utils';
import * as consts from './utils/consts';
import * as domUtils from './utils/dom-utils';
import enhanceComp from './utils/enhance-comp';
import * as idCardUtils from './utils/idcard-utils';
import * as modelUtils from './utils/model-utils';
import * as treeUtils from './utils/tree';

export {
  ajax,
  consts,
  commonUtils,
  domUtils,
  enhanceComp,
  idCardUtils,
  modelUtils,
  treeUtils
}

export default {
  install(Vue, options) {
    Vue.use(filters);
    Vue.use(eventHub);
    Vue.use(directives);
    Vue.use(components);
  }
}
