import { domUtils } from '@/index';

describe('dom-utils.addClass', () => {
  it('添加类-单个', () => {
    let divEl = document.createElement('div');
    domUtils.addClass(divEl, 'active');
    expect(divEl.className).toEqual('active');
  });
  it('添加类-多个', () => {
    let divEl = document.createElement('div');
    domUtils.addClass(divEl, 'active  name');
    expect(divEl.className).toEqual('active name');
  });
});

describe('dom-utils.removeClass', () => {
  it('移除类-单个', () => {
    let divEl = document.createElement('div');
    divEl.className = "active name";
    domUtils.removeClass(divEl, 'active');
    expect(divEl.className).toEqual('name');
  });
  it('移除类-多个', () => {
    let divEl = document.createElement('div');
    divEl.className = "active name h1";
    domUtils.removeClass(divEl, 'active name');
    expect(divEl.className).toEqual('h1');
  });
});

