import cptToolkit from '@/index';
import Vue from 'vue';
Vue.use(cptToolkit);

describe('eventhub', () => {
  const vue = new Vue();
  it('sub pub 测试', (done) => {
    const arg = 'wangchao';
    vue.$sub('sub-one', (a) => {
      expect(a).toEqual(arg);
      done();
    });
    vue.$pub('sub-one', arg);
  });

  it('unsub', () => {
    const events = Vue._eventHub._events;
    expect(events['sub-one'].length).toBeDefined();
    vue.$unsub('sub-one');
    expect(events['sub-one']).toBeNull();
  });
});

describe('当vue实例销毁时，取消了当前实例的所以监听器', () => {
  const vue0 = new Vue();
  const vue1 = new Vue();
  it('offall', () => {
    const events = Vue._eventHub._events;
    vue0.$sub('sub-one', _.noop);
    vue1.$sub('sub-two', _.noop);
    expect(events['sub-one'].length).toEqual(1);
    expect(events['sub-two'].length).toEqual(1);
    vue0.$destroy();
    expect(events['sub-one'].length).toEqual(0);
    expect(events['sub-two'].length).toEqual(1);
  });
});
