import { idCardUtils as idcard } from '@/index';


describe('idcard-utils.check', () => {
  const data = {
    '51300219920723475X': 'toBeTruthy',
    '211111111111111111': 'toBeTruthy',
    '513002920723475': 'toBeTruthy',
    '123': 'toBeFalsy',
    '51300219920723475x': 'toBeTruthy',
    '51300219920723475A': 'toBeFalsy',
  };
  it('简单验证身份证号码，验证长度，字符类型是否合法', () => {
    for (let key in data) {
      if (data.hasOwnProperty(key)) {
        let element = data[key];
        expect(idcard.check(key))[element]();
      }
    }
  });
});

describe('idcard-utils.checkSimple', () => {
  const data = {
    '51300219920723475X': 'toBeTruthy',
    '211111111111111111': 'toBeTruthy',
    '513002920723475': 'toBeTruthy',
    '123': 'toBeFalsy',
    '51300219920723475x': 'toBeTruthy',
    '51300219920723475A': 'toBeFalsy',
  };
  it('简洁验证,只验证位数和xX', () => {
    for (let key in data) {
      if (data.hasOwnProperty(key)) {
        let element = data[key];
        expect(idcard.checkSimple(key))[element]();
      }
    }
  });
});

describe('idcard-utils.checkStrict', () => {
  const data = {
    '51300219920723475X': 'toBeTruthy',
    '211111111111111111': 'toBeFalsy',
    '513002920723475': 'toBeFalsy',
    '123': 'toBeFalsy',
    '51300219920723475x': 'toBeTruthy',
    '51300219920723475A': 'toBeFalsy',
    '51300219920723473X': 'toBeFalsy'
  };
  it('严格验证身份证号码 包含了日期、性别、校验码等验证', () => {
    for (let key in data) {
      if (data.hasOwnProperty(key)) {
        let element = data[key];
        expect(idcard.checkStrict(key))[element]();
      }
    }
  });
});
