import { modelUtils } from '@/index';
const fields = [
  {
    key: 'id',
    showInColumn: false
  },
  {
    key: 'name',
    title: '名称',
    align: 'left',
    sortable: 'custom',
    default: 'wangchao',
    rules: [],
    showInColumn: true,
    order: 2
  },
  {
    key: 'age',
    title: '年龄',
    rules: {},
    showInColumn: true,
    order: 1
  }
];
describe('model-utils', () => {
  it('getColumns', () => {
    const columns = modelUtils.getColumns(fields);
    expect(columns.length).toEqual(2);
    expect(columns[0].key).toEqual('age');
  });

  it('getDefaults', () => {
    const defaults = modelUtils.getDefaults(fields);
    expect(defaults.name).toEqual('wangchao');
    expect(defaults.age).toBeUndefined();
  });

  it('getRules', () => {
    const rules = modelUtils.getRules(fields);
    expect(rules.name).toEqual(fields[1].rules);
    expect(rules.age).toEqual(fields[2].rules);
  });
});
